.c-image {
  margin-block-start: var(--wp--preset--spacing--content-spacing) !important;
  margin-block-end: var(--wp--preset--spacing--content-spacing) !important;
}
@media (max-width: 781.9px) {
  .c-image {
    margin-block-start: 40px !important;
    margin-block-end: 40px !important;
  }
}
.c-image__wrapper {
  display: grid;
  grid-template-columns: repeat(16, 1fr);
  gap: var(--wp--style--block-gap);
}
@media (max-width: 781.9px) {
  .c-image__wrapper {
    gap: 12px 10px;
  }
}
.c-image__wrapper > * {
  min-width: 0;
  min-height: 0;
}
@media (max-width: 781.9px) {
  .c-image__wrapper > * {
    grid-column: span 16;
  }
}
@media (min-width: 782px) {
  .c-image__text {
    margin-block-start: 0;
  }
}
.c-image__picture {
  position: relative;
}
.c-image__picture-wrapper video,
.c-image__picture-wrapper img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.c-image__picture-wrapper--hor .c-image__picture {
  padding-top: 65.7534246575%;
}
@media (min-width: 782px) {
  .c-image__picture-wrapper--hor {
    grid-column: span 12;
  }
}
.c-image__picture-wrapper--ver-main .c-image__picture {
  padding-top: 134.9397590361%;
}
@media (min-width: 782px) {
  .c-image__picture-wrapper--ver-main {
    grid-column: span 6;
  }
}
.c-image__picture-wrapper--ver-aside .c-image__picture {
  padding-top: 138.8888888889%;
}
@media (min-width: 782px) {
  .c-image__picture-wrapper--ver-aside {
    grid-column: span 4;
  }
}
.c-image__picture + .c-image__text {
  margin-top: 8px;
}
@media (min-width: 782px) {
  .c-image--case-1 .c-image__text, .c-image--case-4 .c-image__text, .c-image--case-7a .c-image__text {
    grid-column: span 4;
  }
}
@media (min-width: 782px) {
  .c-image--case-3 .c-image__picture-wrapper--first {
    grid-column: 2/span 7;
  }
}
@media (min-width: 1024px) {
  .c-image--case-3 .c-image__picture-wrapper--first {
    grid-column: 3/span 6;
  }
}
@media (min-width: 782px) {
  .c-image--case-3 .c-image__picture-wrapper--second {
    grid-column: 9/span 7;
  }
}
@media (min-width: 1024px) {
  .c-image--case-3 .c-image__picture-wrapper--second {
    grid-column: 9/span 6;
  }
}
@media (min-width: 782px) {
  .c-image--case-6 .c-image__picture-wrapper--first {
    grid-column: 2/span 8;
  }
}
@media (min-width: 1024px) {
  .c-image--case-6 .c-image__picture-wrapper--first {
    grid-column: 4/span 6;
  }
}
@media (min-width: 782px) {
  .c-image--case-6 .c-image__picture-wrapper--second {
    grid-column: 10/span 6;
  }
}
@media (min-width: 1024px) {
  .c-image--case-6 .c-image__picture-wrapper--second {
    grid-column: 10/span 4;
  }
}
.c-image--case-7b .c-image__text {
  max-width: 640px;
  margin-left: 0;
  margin-right: auto;
}
@media (min-width: 782px) {
  .c-image--case-7b .c-image__picture-wrapper--first {
    grid-column: 2/span 14;
  }
}
@media (min-width: 1024px) {
  .c-image--case-7b .c-image__picture-wrapper--first {
    grid-column: 3/span 12;
  }
}
.c-image:has(+ .c-image) {
  margin-block-end: var(--wp--style--block-gap) !important;
}
.c-image + .c-image {
  margin-block-start: var(--wp--style--block-gap) !important;
}